#pragma ident "@(#) makefile 1.0.1 2000.12.04,18:33"
# 
#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名
TARGET	= curlib01.o jmvwgetnstr.o
OFILES  = curlib01.o $(OBJ)/jmvwgetnstr.o
CFILES  = curlib01.c $(OBJ)/jmvwgetnstr.c

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/curlib01

CC	= gcc

# for Debug
#CFLAGS	= -ggdb

CFLAGS	= -O3

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

$(LDEXE)/$(TARGET) : $(CFILES)
	$(CC) -c -O3 $(CFILES)
	ar -rv ../libsubform/libsubform.a ${TARGET}

jmvtest: jmvwgetnstr.c
	gcc -DDEBUG -o jmvtest jmvwgetnstr.c -lncursesw

clean	:
	-rm -f $(OFILES) $(LDEXE)/$(TARGET)

install	:
	cp -p $(LDEXE)makecell $(LOAD)
